# kbhtcprivateapi
Private API Gateway for HTC Grid

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >=3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import kbhtcprivateapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import kbhtcprivateapi
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import kbhtcprivateapi
from pprint import pprint
from kbhtcprivateapi.api import default_api
from kbhtcprivateapi.model.get_response import GetResponse
from kbhtcprivateapi.model.post_submit_response import PostSubmitResponse
# Defining the host is optional and defaults to https://restapiid.execute-api.my-region-1.amazonaws.com//v1
# See configuration.py for a list of all supported configuration parameters.
configuration = kbhtcprivateapi.Configuration(
    host = "https://restapiid.execute-api.my-region-1.amazonaws.com//v1"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration.api_key['api_key'] = 'YOUR_API_KEY'

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['api_key'] = 'Bearer'


# Enter a context with an instance of the API client
with kbhtcprivateapi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    submission_content = "submission_content_example" # str | Job submission to the grid

    try:
        api_response = api_instance.cancel_post(submission_content)
        pprint(api_response)
    except kbhtcprivateapi.ApiException as e:
        print("Exception when calling DefaultApi->cancel_post: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://restapiid.execute-api.my-region-1.amazonaws.com//v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**cancel_post**](docs/DefaultApi.md#cancel_post) | **POST** /cancel | 
*DefaultApi* | [**result_get**](docs/DefaultApi.md#result_get) | **GET** /result | 
*DefaultApi* | [**submit_post**](docs/DefaultApi.md#submit_post) | **POST** /submit | 


## Documentation For Models

 - [GetMetadataResponse](docs/GetMetadataResponse.md)
 - [GetResponse](docs/GetResponse.md)
 - [PostSubmitResponse](docs/PostSubmitResponse.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: x-api-key
- **Location**: HTTP header


## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in kbhtcprivateapi.apis and kbhtcprivateapi.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from kbhtcprivateapi.api.default_api import DefaultApi`
- `from kbhtcprivateapi.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import kbhtcprivateapi
from kbhtcprivateapi.apis import *
from kbhtcprivateapi.models import *
```

